Bug 466969 - No networking at all with 2.6.27
No networking at all with 2.6.27
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 15:59 EDT by Viktor Erdelyi
Modified: 2008-10-18 21:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-18 21:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Viktor Erdelyi 2008-10-14 15:59:37 EDT
Networking works with 2.6.26, but if I boot into 2.6.27, neither eth0 (single cable to the DSL modem) nor ppp0 (dynamic-ip PPPoE to my ISP) works. No error messages, just "failed" or it simply freezes. It takes 3 minutes to say "failed" at boot. I'm trying with system-config-network. With static IP, it seems that I can activate eth0 but even then I can't see my modem at 10.0.0.138.

Version-Release number of selected component (if applicable):
kernel is latest one from rawhide
linux is fedora 9 upgraded to fc10-testing

What additional information do you need?
Comment 1 John Poelstra 2008-10-17 19:27:08 EDT
What exact kernel version do you have?

what error messages do you see in /var/log/messages?
Comment 2 Viktor Erdelyi 2008-10-18 10:20:08 EDT
I found this with 2.6.27-13:

Oct 18 15:50:17 sierravista kernel: sky2 0000:02:00.0: error interrupt status=0x80000000                                      
Oct 18 15:50:17 sierravista kernel: sky2 0000:02:00.0: PCI Express error (0x100000)   

(however, I honestly don't know what sky2 tries to do with PCI Express...)

But now I'm updating to 2.6.27.2-23, I'll see what happens and paste it here. Hopefully in a few hours.
Comment 3 Viktor Erdelyi 2008-10-18 10:22:00 EDT
And this (still with 2.6.27-13):

Oct 18 15:50:17 sierravista kernel: system 00:08: iomem range 0xffb00000-0xffbfffff could not be reserved
Oct 18 15:50:17 sierravista kernel: system 00:08: iomem range 0xfff00000-0xffffffff could not be reserved
Oct 18 15:50:17 sierravista kernel: system 00:0d: iomem range 0x0-0x9ffff could not be reserved
Oct 18 15:50:17 sierravista kernel: system 00:0d: iomem range 0xc0000-0xdffff could not be reserved
Oct 18 15:50:17 sierravista kernel: system 00:0d: iomem range 0xe0000-0xfffff could not be reserved
Oct 18 15:50:17 sierravista kernel: system 00:0d: iomem range 0x100000-0xc7ffffff could not be reserved
Oct 18 15:54:53 sierravista kernel: system 00:08: iomem range 0xffb00000-0xffbfffff could not be reserved
Oct 18 15:54:53 sierravista kernel: system 00:08: iomem range 0xfff00000-0xffffffff could not be reserved
Oct 18 15:54:53 sierravista kernel: system 00:0d: iomem range 0x0-0x9ffff could not be reserved
Oct 18 15:54:53 sierravista kernel: system 00:0d: iomem range 0xc0000-0xdffff could not be reserved
Oct 18 15:54:53 sierravista kernel: system 00:0d: iomem range 0xe0000-0xfffff could not be reserved
Oct 18 15:54:53 sierravista kernel: system 00:0d: iomem range 0x100000-0xc7ffffff could not be reserved
Comment 4 Viktor Erdelyi 2008-10-18 10:34:36 EDT
Seems to work with :
Name       : kernel
Arch       : i686
Version    : 2.6.27.2
Release    : 23.rc1.fc10

I'll get back here if I have problems.
Comment 5 John Poelstra 2008-10-18 21:53:18 EDT
Thanks for your update.  If your problem returns, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.